FROM php:7.2.6-cli

RUN apt-get update && apt-get install -y \
    apt-utils \
    libicu-dev \
    apt-transport-https \
    zip \
    libpng-dev \
    libxml++2.6-dev \
    wget \
    libpq-dev \
    libssl1.1 \
    libssh-dev \
    librabbitmq-dev \
    libmcrypt-dev

RUN docker-php-ext-install mbstring \
    zip \
    intl \
    pdo \
    pdo_pgsql \
    pgsql \
    opcache \
    bcmath \
    sockets

RUN pecl install xdebug-2.6.0 ast-0.1.6 amqp-1.9.3

COPY config/95-opcahe.ini $PHP_INI_DIR/conf.d/
COPY config/97-xdebug.ini $PHP_INI_DIR/conf.d/
COPY config/94-ast.ini $PHP_INI_DIR/conf.d/
COPY config/96-amqp.ini $PHP_INI_DIR/conf.d/

WORKDIR /tmp
RUN php -r "copy('https://getcomposer.org/installer', 'composer-setup.php');"
RUN php composer-setup.php --install-dir=/usr/local/bin/ --filename=composer

RUN apt-get remove -y make g++ chrpath && \
    apt-get autoremove -y && \
    apt-get clean && \
    rm -rf /var/lib/apt/lists/*

WORKDIR /code